DIFF(1)

BEZEICHNUNG
diff - Dateien zeilenweise vergleichen

ÜBERSICHT
diff [OPTION]... DATEIEN

BESCHREIBUNG
Dateien zeilenweise vergleichen

-i  --ignore-case
    Ignoriert unterschiedliche Groß- und Kleinschreibung im Dateiinhalt

--ignore-file-name-case
    Ignoriert beim Vergleich von Dateinamen Groß- und Kleinschreibung

--no-ignore-file-name-case
    Beachtet beim Vergleich von Dateinamen Groß- und Kleinschreibung

-E  --ignore-tab-expansion
    Änderungen aufgrund von Tabulator-Expansion ignorieren

-b  --ignore-space-change
    Änderungen der Anzahl von Leerräumen ignorieren

-w  --ignore-all-space
    Alle Leerräume ignorieren

-B  --ignore-blank-lines
    Änderungen ignorieren, die nur leere Zeilen betreffen

-I RE  --ignore-matching-lines=REGULÄRER_AUSDRUCK
    Änderungen ignorieren, deren Zeilen alle auf REGULÄRER_AUSDRUCK passen

--strip-trailing-cr
    Wagenrücklauf (Carriage Return) am Ende der Eingabe entfernen.

-a  --text
    Alle Dateien als Text behandeln

-c  -C ANZAHL  --context[=ANZAHL]
    ANZAHL Zeilen (Vorgabe 3) des kopierten Umfelds ausgeben

-u  -U ANZAHL  --unified[=ANZAHL]
    ANZAHL Zeilen (Vorgabe 3) des einheitlichen Umfelds ausgeben

--label BESCHRIFTUNG
    BESCHRIFTUNG an Stelle des Dateinamens benutzen

-p  --show-c-function
    Für jede Änderung die entsprechende C-Funktio zeigen

-F RE  --show-function-line=REGULÄRER_AUSDRUCK
    Die letzte Zeile zeigen auf die REGULÄRER_AUSDRUCK passt

-q  --brief
    Nur ausgeben, ob sich Dateien unterscheiden

-e  --ed
    Ein Ed-Skript ausgeben

--normal
    Ein normales Diff ausgeben

-n  --rcs
    Ein Diff im RCS-Format ausgeben

-y  --side-by-side
    Zwei Spalten ausgeben

-W ANZAHL  --width=ANZAHL
    Höchstens ANZAHL Spalten (Vorgabe 130) ausgeben

--left-column
    Nur die linke Spalte von gemeinsamen Zeilen ausgeben

--suppress-common-lines
    Gemeinsame Zeilen nicht ausgeben

-D NAME  --ifdef=NAME
    Zusammengefügte Datei ausgeben, um »#ifdef NAME«-Diffs zu zeigen

--GTYPE-group-format=GFMT
    Ähnlich, aber GTYPE-Eingabegruppen mit GFMT formatiert

--line-format=LFMT
    Ähnlich, aber alle Eingabezeilen mit LFMT formatiert

--LTYPE-line-format=LFMT
    Ähnlich, aber alle LTYPE-Eingabezeilen mit LFMT formatiert

LTYPE kann »old«, »new« oder »unchanged« sein.
    GTYPE ist LTYPE oder »changed«.

    GFMT könnte Folgendes enthalten:

%<  Zeilen aus DATEI1

%>  Zeilen aus DATEI2

%=  Gemeinsame Zeilen von DATEI1 und DATEI2

%[-][BREITE][.[PRÄZ]]{doxX}BUCHSTABE
    Druckstil-Spezifikation für BUCHSTABE

    BUCHSTABEn sind für neue Gruppe, Kleinschreibung und alte Gruppe wie folgt:

F   Erste Zeilennummer

L   Letzte Zeilennummer

N   Anzahl der Zeilen = L-F+1

E   F-1

M   L+1

    LFMT könnte Folgendes enthalten:

%L  Inhalt der Zeile

%l  Inhalt der Zeile, außer irgendwelchen führenden Zeilenumbrüchen

%[-][BREITE][.[PRÄZ]]{doxX}n
    Druckstil-Spezifikation für Eingabe-Zeilennummer

    Entweder GFMT oder LFMT könnte Folgendes enthalten:

%%  %

%c»C«
    Das einzelne Zeichen C

%c»\OOO«
    Das Zeichen mit dem oktalen Code 000

-l  --paginate
    Die Ausgabe durch »pr« leiten, um die Seiten zu nummerieren.

-t  --expand-tabs
    Tabulatoren in der Ausgabe durch Leerzeichen ersetzen

-T  --initial-tab
    Tabulatoren durch Voranstellen von Tabulatoren ausgleichen

--tabsize=ANZAHL
    Tabulator-Stopps befinden sich nach je ANZAHL (Vorgabe 8) Ausgabespalten.

--suppress-blank-empty
    Leerzeichen oder Tabulatoren vor leeren Ausgabezeilen unterdrücken

-r  --recursive
    Alle gefundenen Unterverzeichnisse rekursiv vergleichen

-N  --new-file
    Fehlende Dateien als leer behandeln

--unidirectional-new-file
    Fehlende erste Dateien als leer behandeln

-s  --report-identical-files
    Melden, wenn zwei Dateien gleich sind

-x MUSTER  --exclude=MUSTER
    Dateien ausschließen, die auf MUSTER passen

-X FILE  --exclude-from=DATEI
    Dateien ausschließen, die auf irgendein Muster in DATEI passen

-S DATEI  --starting-file=DATEI
    Beim Vergleich von Verzeichnissen mit DATEI beginnen

--from-file=DATEI1
    DATEI1 mit allen Operanden vergleichen. DATEI1 kann ein Verzeichnis sein.

--to-file=DATEI2
    Alle Operanden mit DATEI2 vergleichen. DATEI2 kann ein Verzeichnis sein.

--horizon-lines=ANZAHL
    ANZAHL Zeilen des üblichen Präfix und der Endung behalten

-d  --minimal
    Sich anstrengen, eine kleinere Zusammenstellung der Änderungen zu finden

--speed-large-files
    Große Dateien und viele vereinzelte kleine Änderungen annehmen

-v  --version
    Versionsinformation anzeigen

--help
    Diese Hilfe anzeigen

DATEIEN sind »DATEI1 DATEI2« oder »VERZEICHNIS1 »VERZEICHNIS2« oder »VERZEICHNIS DATEI ...« oder »DATEI ... VERZEICHNIS«. Falls --from-file oder --to-file angegeben ist gibt es keine Einschränkungen für DATEIEN. Falls eine DATEI »-« ist, wird die Standardeingabe gelesen. Der Exit-Status ist 0, wenn die Eingaben gleich sind, 1, wenn verschieden und 2 bei Problemen.

AUTOR
Geschrieben von Paul Eggert, Mike Haertel, David Hayes, Richard Stallman und Len Tower.

FEHLER BERICHTEN
Berichten Sie Fehler (auf Englisch) an bug-diffutils@gnu.org Homepage der GNU diffutils: <http://www.gnu.org/software/diffutils/> Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2010 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für diff wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und diff auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info diff

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Michael Piefel <piefel@informatik.hu-berlin.de> und Chris Leick <c.leick@vollbio.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.